namespace KTextEditor

# namespace KTextEditor |
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- class BlockSelectionInterface
- class BlockSelectionDCOPInterface
- class ClipboardInterface
- class ClipboardDCOPInterface
- class CompletionEntry
- class CodeCompletionInterface
- class ConfigInterface
- class Plugin
- class Document
- class ConfigPage
- class ConfigInterfaceExtension
- class Cursor
- class CursorInterface
- class DocumentInfoInterface
- class DocumentInfoDCOPInterface
- class DynWordWrapInterface
- class EditInterface
- class EditDCOPInterface
- class Editor
- class EditorChooser
- class EncodingInterface
- class EncodingDCOPInterface
- class HighlightingInterface
- class Mark
- class MarkInterface
- class MarkInterfaceExtension
- class View
- class PluginViewInterface
- class PopupMenuInterface
- class PrintInterface
- class PrintDCOPInterface
- class SearchInterface
- class SearchDCOPInterface
- class SelectionInterface
- class SelectionDCOPInterface
- class SelectionExtDCOPInterface
- class SelectionInterfaceExt
- class SessionConfigInterface
- class UndoInterface
- class UndoDCOPInterface
- class ViewCursorInterface
- class ViewCursorDCOPInterface
- class ViewStatusMsgInterface
- class ViewStatusMsgDCOPInterface
- class WordWrapInterface

#### Public Methods

- BlockSelectionInterface * blockSelectionInterface (class Document *doc)
- ClipboardInterface * clipboardInterface (class View *view)
- CodeCompletionInterface * codeCompletionInterface (class View *view)
- ConfigInterface * configInterface (Document *doc)
- ConfigInterface * configInterface (Plugin *plugin)
- ConfigInterfaceExtension * configInterfaceExtension (Document *doc)
- ConfigInterfaceExtension * configInterfaceExtension (Plugin *plugin)
- CursorInterface * cursorInterface (class Document *doc)
- Document * createDocument ( const char* libname, QObject *parent = 0, const char *name = 0 )
- DynWordWrapInterface * dynWordWrapInterface (class View *view)
- EditInterface * editInterface (class Document *doc)
- Editor * createEditor ( const char* libname, QWidget *parentWidget = 0, const char *widgetName = 0, QObject *parent = 0, const char *name = 0 )
- EncodingInterface * encodingInterface (class Document *doc)
- HighlightingInterface * highlightingInterface (class Document *doc)
- MarkInterface * markInterface (class Document *doc)
- MarkInterfaceExtension * markInterfaceExtension (class Document *doc)
- Plugin * createPlugin ( const char* libname, Document *document = 0, const char *name = 0 )
- PluginViewInterface * pluginViewInterface (Plugin *plugin)
- PopupMenuInterface * popupMenuInterface (class View *view)
- PrintInterface * printInterface (class Document *doc)
- SearchInterface * searchInterface (class Document *doc)
- SelectionInterface * selectionInterface (Document *doc)
- SelectionInterface * selectionInterface (View *view)
- SelectionInterfaceExt * selectionInterfaceExt (Document *doc)
- SelectionInterfaceExt * selectionInterfaceExt (View *view)
- SessionConfigInterface * sessionConfigInterface (class Document *doc)
- SessionConfigInterface * sessionConfigInterface (class View *view)
- SessionConfigInterface * sessionConfigInterface (class Plugin *plugin)
- UndoInterface * undoInterface (class Document *doc)
- ViewCursorInterface * viewCursorInterface (class View *view)
- ViewStatusMsgInterface * viewStatusMsgInterface (class View *view)
- WordWrapInterface * wordWrapInterface (class Document *doc)

#### Public Members

- Forward ViewPlugin

## Detailed Description

BlockSelectionInterface (class) | ### BlockSelectionInterface

BlockSelectionDCOPInterface (class) | ### BlockSelectionDCOPInterface

This is the main interface to the BlockSelectionInterface of KTextEdit. This will provide a consistant dcop interface to all KDE applications that use it.

BlockSelectionInterface * blockSelectionInterface (class Document *doc) | ### blockSelectionInterface

ClipboardInterface (class) | ### ClipboardInterface

ClipboardDCOPInterface (class) | ### ClipboardDCOPInterface

This is the main interface to the ClipboardInterface of KTextEdit. This will provide a consistant dcop interface to all KDE applications that use it.

ClipboardInterface * clipboardInterface (class View *view) | ### clipboardInterface

CompletionEntry (class) | ### CompletionEntry

An item for the completion popup. `text` is the completed string, `prefix` appears in front of it, `suffix` appears after it. `type` does not appear in the completion list. `prefix`, `suffix`, and `type` are not part of the inserted text if a completion takes place. `comment` appears in a tooltip right of the completion list for the currently selected item. `userdata` can be free formed data, which the user of this interface can use in CodeCompletionInterface::filterInsertString().

CodeCompletionInterface (class) | ### CodeCompletionInterface

This is an interface for the KTextEditor::View class. It can be used to show completion lists, i.e. lists that pop up while a user is typing. The user can then choose from the list or he can just keep typing. The completion list will disappear if an item is chosen, if no completion is available or if the user presses Esc etc. The contents of the list is automatically adapted to the string the user types.

There is another signal, which may be implmemented, but isn't documented here, because it would have been a BIC change and I'm not sure if it is really of need

void completionExtendedComment(CompletionEntry)

CodeCompletionInterface * codeCompletionInterface (class View *view) | ### codeCompletionInterface

ConfigInterface (class) | ### ConfigInterface

Plugin (class) | ### Plugin

Document (class) | ### Document

ConfigInterface * configInterface (Document *doc) | ### configInterface

ConfigInterface * configInterface (Plugin *plugin) | ### configInterface

ConfigPage (class) | ### ConfigPage

ConfigInterfaceExtension (class) | ### ConfigInterfaceExtension

ConfigInterfaceExtension * configInterfaceExtension (Document *doc) | ### configInterfaceExtension

ConfigInterfaceExtension * configInterfaceExtension (Plugin *plugin) | ### configInterfaceExtension

Cursor (class) | ### Cursor

CursorInterface (class) | ### CursorInterface

CursorInterface * cursorInterface (class Document *doc) | ### cursorInterface

Document * createDocument ( const char* libname, QObject *parent = 0, const char *name = 0 ) | ### createDocument

DocumentInfoInterface (class) | ### DocumentInfoInterface

DocumentInfoDCOPInterface (class) | ### DocumentInfoDCOPInterface

This is the main interface to the DocumentInfoInterface of KTextEdit. This will provide a consistant dcop interface to all KDE applications that use it.

DynWordWrapInterface (class) | ### DynWordWrapInterface

DynWordWrapInterface * dynWordWrapInterface (class View *view) | ### dynWordWrapInterface

EditInterface (class) | ### EditInterface

This is an interface for the KTextEditor::Document class !!!

EditDCOPInterface (class) | ### EditDCOPInterface

This is the main interface to the EditInterface of KTextEdit. This will provide a consistant dcop interface to all KDE applications that use it.

EditInterface * editInterface (class Document *doc) | ### editInterface

only for the interface itself - REAL PRIVATE

Editor (class) | ### Editor

KTextEditor::Editor This is just the dumb version of a KTextEditor::Document + View Usage: Load it, merge it's gui + be happy Extensibility: Use the KTextEditor::Document/View classes if you want advanced features, interfaces, ..., this class ist just a good edit widget replacement for apps which just need any kind of embedded edtor and don't care about using doc/view + interfaces

Editor * createEditor ( const char* libname, QWidget *parentWidget = 0, const char *widgetName = 0, QObject *parent = 0, const char *name = 0 ) | ### createEditor

EditorChooser (class) | ### EditorChooser

EncodingInterface (class) | ### EncodingInterface

EncodingDCOPInterface (class) | ### EncodingDCOPInterface

This is the main interface to the EncodingInterface of KTextEdit. This will provide a consistant dcop interface to all KDE applications that use it.

EncodingInterface * encodingInterface (class Document *doc) | ### encodingInterface

HighlightingInterface (class) | ### HighlightingInterface

HighlightingInterface * highlightingInterface (class Document *doc) | ### highlightingInterface

Mark (class) | ### Mark

MarkInterface (class) | ### MarkInterface

MarkInterface * markInterface (class Document *doc) | ### markInterface

MarkInterfaceExtension (class) | ### MarkInterfaceExtension

MarkInterfaceExtension * markInterfaceExtension (class Document *doc) | ### markInterfaceExtension

View (class) | ### View

The View class encapsulates a single view into the document.

Plugin * createPlugin ( const char* libname, Document *document = 0, const char *name = 0 ) | ### createPlugin

PluginViewInterface (class) | ### PluginViewInterface

PluginViewInterface * pluginViewInterface (Plugin *plugin) | ### pluginViewInterface

PopupMenuInterface (class) | ### PopupMenuInterface

PopupMenuInterface * popupMenuInterface (class View *view) | ### popupMenuInterface

PrintInterface (class) | ### PrintInterface

PrintDCOPInterface (class) | ### PrintDCOPInterface

This is the main interface to the PrintInterface of KTextEdit. This will provide a consistant dcop interface to all KDE applications that use it.

PrintInterface * printInterface (class Document *doc) | ### printInterface

SearchInterface (class) | ### SearchInterface

SearchDCOPInterface (class) | ### SearchDCOPInterface

This is the main interface to the SearchInterface of KTextEdit. This will provide a consistant dcop interface to all KDE applications that use it.

SearchInterface * searchInterface (class Document *doc) | ### searchInterface

SelectionInterface (class) | ### SelectionInterface

SelectionDCOPInterface (class) | ### SelectionDCOPInterface

This is the main interface to the SelectionInterface of KTextEdit. This will provide a consistant dcop interface to all KDE applications that use it.

SelectionExtDCOPInterface (class) | ### SelectionExtDCOPInterface

DCOP interface for the SelectionInterfaceExt.

SelectionInterface * selectionInterface (Document *doc) | ### selectionInterface

SelectionInterface * selectionInterface (View *view) | ### selectionInterface

SelectionInterfaceExt (class) | ### SelectionInterfaceExt

Provide access to seleciton positions. This is an interface for the KTextEditor::Document class. Mainly here for dcop and the sake of scripting.

SelectionInterfaceExt * selectionInterfaceExt (Document *doc) | ### selectionInterfaceExt

SelectionInterfaceExt * selectionInterfaceExt (View *view) | ### selectionInterfaceExt

SessionConfigInterface (class) | ### SessionConfigInterface

SessionConfigInterface * sessionConfigInterface (class Document *doc) | ### sessionConfigInterface

SessionConfigInterface * sessionConfigInterface (class View *view) | ### sessionConfigInterface

SessionConfigInterface * sessionConfigInterface (class Plugin *plugin) | ### sessionConfigInterface

UndoInterface (class) | ### UndoInterface

UndoDCOPInterface (class) | ### UndoDCOPInterface

This is the main interface to the UndoInterface of KTextEdit. This will provide a consistant dcop interface to all KDE applications that use it.

UndoInterface * undoInterface (class Document *doc) | ### undoInterface

ViewCursorInterface (class) | ### ViewCursorInterface

This is an interface for the KTextEditor::View class !!!

ViewCursorDCOPInterface (class) | ### ViewCursorDCOPInterface

This is the main interface to the ViewCursorInterface of KTextEdit. This will provide a consistant dcop interface to all KDE applications that use it.

ViewCursorInterface * viewCursorInterface (class View *view) | ### viewCursorInterface

ViewStatusMsgInterface (class) | ### ViewStatusMsgInterface

ViewStatusMsgDCOPInterface (class) | ### ViewStatusMsgDCOPInterface

This is the main interface to the ViewStatusMsgInterface of KTextEdit. This will provide a consistant dcop interface to all KDE applications that use it.

ViewStatusMsgInterface * viewStatusMsgInterface (class View *view) | ### viewStatusMsgInterface

WordWrapInterface (class) | ### WordWrapInterface

WordWrapInterface * wordWrapInterface (class Document *doc) | ### wordWrapInterface

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:38:11 2003, using kdoc 2.0a54.